Update Spaceports, R-9, First in Space and Soyuz

igel

Addon Developer
Joined
Mar 28, 2008
Messages
170
Reaction score
8
Points
18
Website
www.pin-plus.ca
...finally uploaded to Orbithangar. Update was ready way back in December, but then Orbithangar went into a big redo mode (lots of thanks for that!) Then I got distracted by other things. Then the sky fell, and I my permanent job had to be traded for contracting... Then Orbithangar came back, but I was not able to login until some human intervention...

But all's well that ends well. And, finally, here we are!

What's updated?
- Spaceports v1.2
- R-9 v1.2
- First in Space v1.1
- Soyuz 1.1
- Collectros 1.1
- VesselM developent code backup v0.6.

What has changed?
Outside - not much. Optimum Orbiter version is still 2010. 2016-compatible versions are added... but you won't like them :). Functionality is still mostly the same, and all familiar scenarios are in place.

Most notable new functionality (in Soyuz addon) is an updated Fregat upper stage with advanced scenario-programmable autopilot that can dispatch multiple payloads into different orbits;

Other improvements (in all addons) will be most beneficial to anyone customizing scenarios and missions (or creating the new ones):
- easier support and better instructions for such customizations;
- easy override of many vessel resources from within scenario files (including, but not limiting to, custom paint jobs by texture replacements)'
- unfinished but operational Soyuz launchpads at Plesetsk, Kourou and Vostochny.

Enjoy from the safety of your homes worldwide!
 

N_Molson

Addon Developer
Addon Developer
Donator
Joined
Mar 5, 2010
Messages
6,856
Reaction score
0
Points
0
Location
Toulouse
Awesome ! And glad to see you again ! :cheers:
 

igel

Addon Developer
Joined
Mar 28, 2008
Messages
170
Reaction score
8
Points
18
Website
www.pin-plus.ca
Sorry for possible version confusions. When I was uploading to OH, the Orbiter version selection dropdown did not work, so they all got auto-attributed to 2016. I guess OH is still not 100% working. Before this gets sorted out, you can distinguish zip files by name: the 2016 version has explicit mention in the file name.

---------- Post added at 08:53 AM ---------- Previous post was at 08:50 AM ----------

I'm also a bit confused, but I downloaded the one that had 2016 in the name.
However, I don't see anything: https://imgur.com/a/XOk444w
Did you download and installed all four addons? The screenshot is from Collectors addon, which requires all other addons to be pre-installed.
 

Mantis

Member
Joined
Oct 23, 2009
Messages
547
Reaction score
0
Points
16
Location
Mississauga, Ontario
I installed each of these addons (2016 version) but I am running into an issue. When I try the Soyuz to ISS launch scenario Orbiter crashes. This appears in the Orbiter.log file:

============================ ERROR: ===========================
Could not load vessel module: Soyuz\Mission
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
000000.000: >>> ERROR: No vessel class configuration file found for:
============================ ERROR: ===========================
ISSR\ISS
[Vessel::OpenConfigFile | .\Vessel.cpp | 243]
===============================================================
000000.000: >>> TERMINATING <<<
000000.000: >>> Lagrange module exited
000000.000: Glideslope module exit

When I tried the high altitude launch failure scenario, it also crashed with this in the event log:

============================ ERROR: ===========================
Could not load vessel module: Soyuz\Mission
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Soyuz
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockI
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockBD
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockBD
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockBD
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockBD
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\BlockA
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: Soyuz\Launchpad
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
000000.000: XRSound 1.10 (Build Date: Mar 9 2018) initialized using sound driver DirectSound8; irrKlang version = 1.6.0. XRSound UpdateInterval = 0.050 (20.0 updates per second)
000000.000: Finished initialising status
000000.000: Finished initialising camera
000000.000: Finished setting up render state
D3D9: ERROR: Base Object 0x347D658 = 'Baikonur_1' not cataloged
D3D9: ERROR: Base Object 0x3479BC0 = 'Baikonur_2' not cataloged
D3D9: ERROR: Base Object 0x347D9C8 = 'Baikonur-51' not cataloged
D3D9: ERROR: Base Object 0x347DD38 = 'Baikonur_51' not cataloged
D3D9: ERROR: Base Object 0x347E198 = 'Baikonur-70' not cataloged
D3D9: ERROR: Base Object 0x347E508 = 'Baikonur_70' not cataloged
D3D9: ERROR: Base Object 0x345AB48 = 'Baikonur-31' not cataloged
D3D9: ERROR: Base Object 0x345AEB8 = 'Baikonur_31' not cataloged
D3D9: ERROR: Base Object 0x345B638 = 'Baikonur-250' not cataloged
D3D9: ERROR: Base Object 0x345FB60 = 'Baikonur_250' not cataloged
D3D9: ERROR: Base Object 0x345FED0 = 'Baikonur_110L' not cataloged
D3D9: ERROR: Base Object 0x3460A48 = 'Baikonur_110R' not cataloged
D3D9: ERROR: Base Object 0x348F018 = 'Baikonur_253' not cataloged
D3D9: ERROR: Base Object 0x348F388 = 'Baikonur_112A' not cataloged
D3D9: ERROR: Base Object 0x348F6F8 = 'Baikonur_112' not cataloged
D3D9: ERROR: Base Object 0x3491278 = 'Baikonur_254' not cataloged
D3D9: ERROR: Base Object 0x3493250 = 'Baikonur' not cataloged
D3D9: ERROR: Base Object 0x34920A8 = 'Arkalyk' not cataloged
D3D9: ERROR: Base Object 0x3492430 = 'Dzezkazgan' not cataloged
D3D9: ERROR: Base Object 0x3492EC8 = 'ELS' not cataloged
D3D9: ERROR: Base Object 0x3491610 = 'Plesetsk-43.4' not cataloged

I got a similar error with any of the R9 launch scenarios.
 

igel

Addon Developer
Joined
Mar 28, 2008
Messages
170
Reaction score
8
Points
18
Website
www.pin-plus.ca
Aha, this many "could not load module" errors indicate vc runtime redistributable dlls missing. I use VC 2015, so those should be from here I guess..
 

macVsog

Active member
Joined
Sep 19, 2016
Messages
187
Reaction score
119
Points
43
Location
Kursk
Aha, this many "could not load module" errors indicate vc runtime redistributable dlls missing. I use VC 2015, so those should be from here I guess..
may be a problem DirectX 12? or lack of Visual Studio Community?
All scenarios Orbiter 2016 crashes
 

Mantis

Member
Joined
Oct 23, 2009
Messages
547
Reaction score
0
Points
16
Location
Mississauga, Ontario
I gave that a shot but no success. I already had those runtimes installed apparently - both x86 and x64 versions.
 

4throck

Enthusiast !
Joined
Jun 19, 2008
Messages
2,987
Reaction score
102
Points
63
Location
Lisbon
Website
orbiterspaceport.blogspot.com
I have the same problem.

(as for vcredist, my PC reports that it already has a more recent version than the above link).

Code:
000000.000: Finished initialising world
============================ ERROR: ===========================
Could not load vessel module: R-9\Mission
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\Warhead
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9BSkirt
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9BSkirt
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9BSkirt
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9BlockB
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9BlockA
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9LaunchFrame
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\R9LaunchTable
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
============================ ERROR: ===========================
Could not load vessel module: R-9\Generic
[Vessel::LoadModule | .\Vessel.cpp | 5747]
===============================================================
 

macVsog

Active member
Joined
Sep 19, 2016
Messages
187
Reaction score
119
Points
43
Location
Kursk
may be a problem directx 12? or not installed Visual Studio Community?
or not DLL in the folder Orbiter2016?
 

IronRain

The One and Only (AFAIK)
Administrator
Moderator
Donator
Joined
Oct 11, 2009
Messages
3,360
Reaction score
153
Points
88
Location
Utrecht
Website
www.spaceflightnewsapi.net
Sorry for possible version confusions. When I was uploading to OH, the Orbiter version selection dropdown did not work, so they all got auto-attributed to 2016. I guess OH is still not 100% working. Before this gets sorted out, you can distinguish zip files by name: the 2016 version has explicit mention in the file name.

---------- Post added at 08:53 AM ---------- Previous post was at 08:50 AM ----------



Did you download and installed all four addons? The screenshot is from Collectors addon, which requires all other addons to be pre-installed.
Yes, but I have the same issue with the individual add-ons as well
 

asbjos

tuanibrO
Addon Developer
Joined
Jun 22, 2011
Messages
619
Reaction score
44
Points
43
Location
This place called "home".
Just want to say that it works for me. I have Visual Studio 2019 installed, though, so I may not be your "average consumer".

Only thing not working (so far) are the Soyuz ISS scenarios, which require Thorton's ISS, although the scenario description states they should use the default ISS.

Stellar work, as always! :hailprobe:
 

Attachments

igel

Addon Developer
Joined
Mar 28, 2008
Messages
170
Reaction score
8
Points
18
Website
www.pin-plus.ca
Can someone maybe try depends.exe (32 bit) on one of the modules dll to see what exactly may be missing?

asbjos - ISS scenarios still require Thorton's ISS. The note in scenario warns that this ISS will be in "reduced" configuration compared to 2010 scenario (as Orbiter 2016 crashes if any external module is attached to ISS).
 

Mantis

Member
Joined
Oct 23, 2009
Messages
547
Reaction score
0
Points
16
Location
Mississauga, Ontario
Just want to say that it works for me. I have Visual Studio 2019 installed, though, so I may not be your "average consumer".

Only thing not working (so far) are the Soyuz ISS scenarios, which require Thorton's ISS, although the scenario description states they should use the default ISS.

Stellar work, as always! :hailprobe:
I actually do as well but no dice for me.
 

igel

Addon Developer
Joined
Mar 28, 2008
Messages
170
Reaction score
8
Points
18
Website
www.pin-plus.ca
I took a closer look on my side... it seems that DEBUG versions of vc runtime dlls dependencies got into the modules. Which is even stranger, as past versions did not have any of those dependencies in the first place, debug or release. So, I might have to rebuild and re-release, but I have to first sor our these build issues.

Sigh... another complication from multiple configuration builds...
 
Top